SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
Samba FD_SET Stack Corruption Flaw Lets Remote and Local Users Deny Service
SecurityTracker Alert ID:  1025132
SecurityTracker URL:  http://securitytracker.com/id/1025132
CVE Reference:   CVE-2011-0719   (Links to External Site)
Date:  Feb 28 2011
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.0.x - 3.5.x
Description:   A vulnerability was reported in Samba. A local user, remote authenticated user, or remote guest user can cause denial of service conditions.

The FD_SET macro does not implement range checks on file descriptors. A local user, remote authenticated user, or remote guest user can corrupt the stack to cause Samba to crash or enter an infinite loop.

Volker Lendecke of SerNet reported this vulnerability.

Impact:   A local user, remote authenticated user, or remote guest user can cause the service to crash or enter an infinite loop.
Solution:   The vendor has issued a fix (3.5.7).

Patches are also available at:

http://www.samba.org/samba/security/

The vendor's advisory is available at:

http://samba.org/samba/security/CVE-2011-0719.html

Vendor URL:  samba.org/samba/security/CVE-2011-0719.html (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 2 2011 (Red Hat Issues Fix) Samba FD_SET Stack Corruption Flaw Lets Remote and Local Users Deny Service   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 4, 5, and 6.
Mar 2 2011 (Red Hat Issues Fix) Samba FD_SET Stack Corruption Flaw Lets Remote and Local Users Deny Service   (bugzilla@redhat.com)
Red Hat has issued a fix for Samba3x for Red Hat Enterprise Linux 5.
Jun 16 2011 (HP Issues Fix for HP-UX) Samba FD_SET Stack Corruption Flaw Lets Remote and Local Users Deny Service
HP has issued a fix for HP-UX 11.11, 11.23, and 11.31.



 Source Message Contents

Date:  Mon, 28 Feb 2011 20:21:18 +0000
Subject:  Samba


http://samba.org/samba/security/CVE-2011-0719.html

CVE-2011-0719
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC